Subject: Re: bug#7825: Cannot return from the debugger

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Jan 2011 09:53:54 -0500

>     The limitation that we "Cannot return from the debugger in an
>     error", is a bug: we should be able to continue (i.e. run the code
>     of the corresponding error handler), just as if the debugger had
>     not been invoked.

> That is fine in theory, but it would imply that any place that can get
> an error can also GC.

I'm not sure I understand: "continuing from an error" would simply throw
to the error handler up the stack, which is not fundamentally different
from what we currently do (except we currently throw up to the
"top-level" rather than some intermediate error handler).

        Stefan